
From: Adrian Bunk <bunk@stusta.de>,
      Radoslaw Szkodzinski <astralstorm@gmail.com>

It seems Conexant uses the firmware loader as well as I2C w/o requiring them.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/media/video/Kconfig~compile-error-blackbird_load_firmware drivers/media/video/Kconfig
--- 25/drivers/media/video/Kconfig~compile-error-blackbird_load_firmware	2005-02-22 18:19:33.000000000 -0800
+++ 25-akpm/drivers/media/video/Kconfig	2005-02-22 18:19:33.000000000 -0800
@@ -305,8 +305,9 @@ config VIDEO_HEXIUM_GEMINI
 
 config VIDEO_CX88
 	tristate "Conexant 2388x (bt878 successor) support"
-	depends on VIDEO_DEV && PCI && EXPERIMENTAL
+	depends on VIDEO_DEV && PCI && I2C && EXPERIMENTAL
 	select I2C_ALGOBIT
+	select FW_LOADER
 	select VIDEO_BTCX
 	select VIDEO_BUF
 	select VIDEO_TUNER
_
